Instance API
Actions in the instance namespace of the Nexigon Hub API.
instance_GetStatistics
POST /api/v1/actions/invoke/instance_GetStatistics Get instance statistics.
Request GetInstanceStatisticsAction
No fields.
Response GetInstanceStatisticsOutput
Fields (JSON object)
usersrequiredNumber of users.
integer projectsrequiredNumber of projects.
integer devicesrequiredNumber of devices.
integer
instance_GetSettingsRaw
POST /api/v1/actions/invoke/instance_GetSettingsRaw Get the settings of the instance.
Request GetInstanceSettingsRawAction
No fields.
Response GetInstanceSettingsRawOutput
Fields (JSON object)
settingsrequiredSettings of the instance.
object<string, JsonValue>
Keys
string
Values
JsonValue
any
instance_SetSettingRaw
POST /api/v1/actions/invoke/instance_SetSettingRaw Set a setting of the instance.
Request SetInstanceSettingRawAction
Fields (JSON object)
keyrequiredName of the setting.
string valuerequiredValue of the setting.
JsonValue any
Response Empty
No fields.